UUTO(1C)

NAME
uuto, uupick - public system-to-system file copy

SYNOPSIS
uuto [ -mp ] source-file ... destination

uupick [ -s system ]

AVAILABILITY

This command is available with the uucp software installation option. Refer to for information on how to install optional software.

DESCRIPTION

  uuto

uuto sends source-files to destination. uuto uses the uucp(1C) facility to send files, while it allows the local system to control the file access. A source-file name is a path name on your machine. Destination has the form:

    system-name!username

where system-name is taken from a list of system names that uucp knows about (see uucp(1C)). username is the username of someone on the specified system.

The files (or sub-trees if directories are specified) are sent to the “public UUCP” directory on the remote machine system-name. Normally, this directory is /usr/spool/uucppublic. Specifically the files are sent to

    PUBDIR/receive/username/mysystem/file

where PUBDIR is the “public UUCP” directory on system-name, mysystem is the system from which the files are sent, and file is the file being sent.

The destined recipient is notified by mail(1) of the arrival of files.

  uupick

uupick accepts or rejects the files transmitted to the user. Specifically, uupick searches the “public UUCP” directory on the local machine for files destined for the user. For each entry (file or directory) found, the following message is printed on the standard output:
    from system: [file file-name] [ dir dirname]?

uupick then reads a line from the standard input to determine the disposition of the file:

<NEWLINE>
    Go on to next entry.

d   Delete the entry.

m [ dir ]
    Move the entry to named directory dir. If dir is not specified as a complete path name (in which $HOME is legitimate), a destination relative to the current directory is assumed. If no destination is given, the default is the current directory.

a [ dir ]
    Same as m except moving all the files sent from system.

p   Print the content of the file.

q   Stop.

EOT (CTRL-D)
    Same as q.

!command
    Escape to the shell to do command.

*   Print a command summary.

OPTIONS

  uuto

-m  Send mail to the sender when the copy is complete.

-p  Copy the source file into the spool directory before transmission.

  uupick

-s system
    Search only the “public UUCP” directory on the local machine for files sent from system.

FILES
/usr/spool/uucppublic
    public UUCP directory

SEE ALSO
mail(1), uucp(1C), uustat(1C), uux(1C), uucleanup(8C)

WARNINGS

In order to send files that begin with a dot (such as, .profile) the files must by qualified with a dot. For example: .profile, .prof*, and .profil? are correct, whereas *prof* and ?profile are incorrect.